This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 99208 - RHEL 3 Beta 4 will not boot under vmware
RHEL 3 Beta 4 will not boot under vmware
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Rik van Riel
Mike McLean
:
Depends On:
Blocks: 86691
  Show dependency treegraph
 
Reported: 2003-07-15 17:20 EDT by Peter Waltenberg
Modified: 2007-11-30 17:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-31 22:27:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Waltenberg 2003-07-15 17:20:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030624

Description of problem:
RHAS 3.0 Beta 4 will not boot under vmware

The installer runs, but the installed kernel will not boot under vmware.
"Real" hardware is fine.

This affects our ability to respond quickly to internal queries about RHAs 3.0
betas. i.e. rather than being able to restart a saved image to answer a
question, we have to find a machine and install. (Much slower).

It's not a show-stopper, but it does impair the level of testing RHAS3.0 betas get.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install RHAS3.0 beta 4 under vmware
2.Boot system
3.watch it crash
    

Actual Results:  System won't run

Expected Results:  System should have run

Additional info:

Tested with both VMWare 3 & 4
Comment 1 Rik van Riel 2003-07-15 23:04:08 EDT
OK, we really need to figure out why RHEL3 isn't running on vmware (and possibly
qemu!) and make sure we get a kernel that does run virtualised

Even if it's not a commercial priority it is of high value for debugging and
testing, so I would like to get this problem fixed
Comment 2 Matt Wilson 2003-07-16 18:20:02 EDT
can we get more details on the crash posted?
Comment 3 Stephen Tweedie 2003-07-17 06:43:42 EDT
I assume they mean Alpha-4, not Beta-4.

If the i686-* kernel fails but the plain -BOOT kernel works, then I suspect the
4G/4G patches.  That's a feature that we won't be disabling just for vmware.  It
could also be execshield, which _is_ disabled in future kernels --- testing with
Beta-1 (coming soon to a host near you) would help determine that.

In the mean time, rebuilding A4 with CONFIG_X64_4G disabled would help.

Also, a bit more info about what fails than "watch it crash" would help us to
narrow things down.
Comment 4 Rik van Riel 2003-07-31 22:27:37 EDT
On Fri, 1 Aug 2003, Peter Waltenberg wrote:
> "Upgrade to VMware 4.0.1 fixes the problem."
>
> 'tis fixed.

So, NOTABUG ... at least not in our kernel. ;)  Thanks to Peter for verifying
that things work with the latest version of VMware.  Good to know that things work.

Note You need to log in before you can comment on or make changes to this bug.